var a;
(a = getApp()),
  Page({
    data: {},
    onLoad: function (a) {
      this.getDetail(a.vin);
    },
    getDetail: function (t) {
      var n = this,
        e = { openid: wx.getStorageSync("userid"), frameno: t };
      a.getdata(e, "wxjlid").then((a) => {
        console.log("回调数据：", a), n.setData({ vin: t, cardata: a.data });
        var e = JSON.parse(a.data.record);
        console.log(e), n.setData({ records: e.result });
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.cars + "碰撞维修出险报告",
        path: "/pages/carwxjl/carwxjl?vin=" + this.data.vin,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.cars + "碰撞维修出险报告",
        path: "/pages/carwxjl/carwxjl?vin=" + this.data.vin,
      };
    },
  });
